function indout=myspacerbegin(indarrin, arrin, m)
% selects each m-th entry of array arrin, counting from the beginning
% but restricts indices to the set indarrin.
% Returns indices such that plot(indout, arrin(indout)) would work   
arrend=length(arrin);
indi=(1:arrend)'-1;
ind2=1+indi(find(mod(indi,m)==0));
indout=intersect(indarrin, ind2);