function rhoinfty()
% do the plots r_\infty(R_0) for various s(0)
clear all;
close all;
h=0.001
r=h:h:5-h;

s=1
delta=0.1
figure
while delta>1.e-6
    s=1-delta
    LW=1+lambertw(-s*r.*exp(-r))./r;
    semilogy (r,LW)
    hold on
    delta=delta/10;
end
h=gca;
set(h,'FontSize',20)

s=1
delta=0.1
figure
while delta>1.e-6
    s=1-delta
    LW=1+lambertw(-s*r.*exp(-r))./r;
    plot(r,LW)
    hold on
    delta=delta/10;
end
h=gca;
set(h,'FontSize',20)

% now the ones for the final decay rate R_0*s_\infty-1=

return
s=1
delta=0.1
figure
while delta>1.e-6
    s=1-delta
    LW=1+lambertw(-s*r.*exp(-r))./r;
    LW=r.*(1-LW)-1;
    semilogy (r,LW)
    hold on
    delta=delta/10;
end
h=gca;
set(h,'FontSize',20)

s=1
delta=0.1
figure
while delta>1.e-6
    s=1-delta
    LW=1+lambertw(-s*r.*exp(-r))./r;
    LW=r.*(1-LW)-1;
    
    plot(r,LW)
    hold on
    delta=delta/10;
end
h=gca;
set(h,'FontSize',20)
